package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.core.domain.entity.ImageDatas;
import com.ruoyi.system.mapper.ImageDataMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ruoyi.system.service.IImageDataService;

/**
 * 附件信息Service业务层处理
 * 
 * @author boman
 * @date 2021-12-24
 */
@Service
public class ImageDataServiceImpl implements IImageDataService 
{
    @Autowired
    private ImageDataMapper imageDataMapper;

    /**
     * 查询附件信息
     * 
     * @param imageId 附件信息主键
     * @return 附件信息
     */
    @Override
    public ImageDatas selectImageDataByImageId(Long imageId)
    {
        return imageDataMapper.selectImageDatasByImageId(imageId);
    }

    /**
     * 查询附件信息列表
     * 
     * @param imageData 附件信息
     * @return 附件信息
     */
    @Override
    public List<ImageDatas> selectImageDatasList(ImageDatas imageData)
    {
        return imageDataMapper.selectImageDatasList(imageData);
    }

    /**
     * 门户查询附件信息列表
     * @param imageData
     * @return
     */
    @Override
    public List<ImageDatas> selectImageDatasListMenHu(ImageDatas imageData) {
        return imageDataMapper.selectImageDatasListMenHu(imageData);
    }

    /**
     * 新增附件信息
     * 
     * @param imageData 附件信息
     * @return 结果
     */
    @Override
    public int insertImageData(ImageDatas imageData)
    {
        imageData.setCreateTime(DateUtils.getNowDate());
        return imageDataMapper.insertImageDatas(imageData);
    }

    /**
     * 修改附件信息
     * 
     * @param imageData 附件信息
     * @return 结果
     */
    @Override
    public int updateImageData(ImageDatas imageData)
    {
        imageData.setUpdateTime(DateUtils.getNowDate());
        return imageDataMapper.updateImageDatas(imageData);
    }

    /**
     * 批量删除附件信息
     * 
     * @param imageIds 需要删除的附件信息主键
     * @return 结果
     */
    @Override
    public int deleteImageDataByImageIds(Long[] imageIds)
    {
        return imageDataMapper.deleteImageDatasByImageIds(imageIds);
    }

    /**
     * 删除附件信息信息
     * 
     * @param imageId 附件信息主键
     * @return 结果
     */
    @Override
    public int deleteImageDataByImageId(Long imageId)
    {
        return imageDataMapper.deleteImageDatasByImageId(imageId);
    }
}
